{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
{# LG 20200824 old    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidSalle }}</div>#}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ ( poEntité.iidSalle is defined) ? poEntité.iidSalle : "" }}</div>
{% endblock %}

{% block formulaire %}
    <div class="LesChamps card">
        <div class="d-flex justify-content-start ">
            {% if poForm.cnom is defined %}
                <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    {# Génération du label. #}
                    {{ form_label(poForm.cnom, "Nom ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

                    <div class="col-sm-9 d-flex justify-content-center align-items-center">
                        {{ form_widget(poForm.cnom, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                    </div>
                </div>
            {% endif %}
        </div>
    </div>
    <div class="LesChamps">
        <div class="d-flex justify-content-around flex-wrap">
            {% if poForm.icapacite is defined %}
                <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    {# Génération du label. #}
                    {{ form_label(poForm.icapacite, "Capacité ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                    <div class="col-sm-8 d-flex justify-content-center align-items-center">
                        {{ form_widget(poForm.icapacite, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                    </div>
                </div>
            {% endif %}

            {% if poForm.ipermis is defined %}
                <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    {# Génération du label. #}
                    {{ form_label(poForm.ipermis, "Permis nécessaire ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                    <div class="col-sm-8 d-flex justify-content-center align-items-center">
                        {{ form_widget(poForm.ipermis, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                    </div>
                </div>
            {% endif %}
        </div>               

        <div class="d-flex justify-content-around flex-wrap">
            {% if poForm.ietablissement is defined %}
                <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    {# Génération du label. #}
                    {{ form_label(poForm.ietablissement, "Etablissement ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

                    <div class="col-sm-8 d-flex justify-content-center align-items-center">
                        {{ form_widget(poForm.ietablissement, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control no-bg'}}) }}
                    </div>
                </div>
            {% endif %}

            {% if poForm.cnoinventaire is defined %}
                <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    {# Génération du label. #}
                    {{ form_label(poForm.cnoinventaire, "N° inventaire ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}

                    <div class="col-sm-8 d-flex justify-content-center align-items-center">
                        {{ form_widget(poForm.cnoinventaire, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                    </div>
                </div>
            {% endif %}

        </div>
    </div>
    <div class="LesChamps">
        <div class="d-flex justify-content-start">
            {% if poForm.icouleur is defined %}
                <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
                    {# Génération du label. #}
                    {{ form_label(poForm.icouleur, "Couleur ", {'label_attr': {'class': 'col-xs-4 col-sm-2 col-md-2 m-0 col-lg-2 control-label d-flex align-items-center justify-content-center'}}) }}

                    <div class="col-sm-8 col-md-9 col-lg-9 col-xs-12">
                        {#{{ form_widget(poForm.icouleur, {'attr': {'class': 'form-control'}}) }}#}
                        <input type='text' id="icouleur_spectrum"/>
                        <input type='hidden' class="form-control" name="fEntityForm_groupes[icouleur]" id="fEntityForm_groupes_icouleur" 
{# LG 20200824 old                               value="{{ poForm.vars.value.icouleur }}"/> #}
                               value="{{ (poForm.vars.value.icouleur is defined) ? poForm.vars.value.icouleur : "" }}"/>
                        {% do poForm.icouleur.setRendered %}
                        <script>
                            LGSpectrum("#icouleur_spectrum", "#fEntityForm_groupes_icouleur", function (color) {
                                var colorRGB = color.toRgb();
                                var colorI = RGB(colorRGB.r, colorRGB.g, colorRGB.b);
                                $("#fEntityForm_groupes_icouleur").val(colorI);
                            });
                        </script>
                    </div>
                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}

{% block fin %}
{# LG 20200904 déac début : ce placeholder est mieux géré par l'option 'placeholder' dans SallesTypes.php
<script>
	 $(document).ready(function () {
		var options = "<option value='' selected disabled>Choisissez un permis</options>";
		//Une option vide est généré par le formulaire symfony
		$('#fEntityForm_salles_ipermis option:first').remove();
		$('#fEntityForm_salles_ipermis').prepend(options);		
	 });
</script>
LG 20200904 déac fin #}
{% endblock %}
